<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.14.1) on Sun Jun 12 10:38:58 CEST 2022 -->
<title>Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="src/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Grille.html#affiche()">affiche()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant d'afficher la grille avec les états actuels des cases</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#ajouteBombe()">ajouteBombe()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode qui permet de faire de la case une case contenant une bombe</div>
</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="src/Case.html" title="class in src"><span class="typeNameLink">Case</span></a> - Class in <a href="src/package-summary.html">src</a></dt>
<dd>
<div class="block">Classe qui permet de gérer une case de la grille du démineur.</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#%3Cinit%3E(int,int)">Case(int, int)</a></span> - Constructor for class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Constructeur permettant de créer une case.</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#compteVoisinesMinees(src.Case)">compteVoisinesMinees(Case)</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de compter le nombre de voisines minées autour de la case en question</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#cordx">cordx</a></span> - Variable in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Attribut permettant de connaitre le numéro de ligne de la case dans la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#cordy">cordy</a></span> - Variable in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Attribut permettant de connaîre le numéro de colonne de la case dans la grille</div>
</dd>
</dl>
<a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Demineur.html#demanderEntier(java.util.Scanner,java.lang.String,int,int)">demanderEntier(Scanner, String, int, int)</a></span> - Method in class src.<a href="src/Demineur.html" title="class in src">Demineur</a></dt>
<dd>
<div class="block">Méthode permettant de récupérer la saisie d'un nombre entier d'un utilisateur</div>
</dd>
<dt><a href="src/Demineur.html" title="class in src"><span class="typeNameLink">Demineur</span></a> - Class in <a href="src/package-summary.html">src</a></dt>
<dd>
<div class="block">Classe permettant d'implémenter le jeu du démineur à l'aide des autres classes (Grille et Case)</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Demineur.html#%3Cinit%3E()">Demineur()</a></span> - Constructor for class src.<a href="src/Demineur.html" title="class in src">Demineur</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Case.html#estBombe()">estBombe()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant de savoir si la case est une case minée, c'est-à-dire contenant une bombe</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#estGagne()">estGagne()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de savoir si une partie est gagnée</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#estMarquee">estMarquee</a></span> - Variable in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Attribut permettant de savoir si la case est marquée par un drapeau</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#estMarquee()">estMarquee()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode qui revoie si la case a été marquée, c'est-à-dire si un drapeau est placé dessus</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#estMinee">estMinee</a></span> - Variable in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Attribut qui permet de savoir si la case contient une bombe</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#estPerdu()">estPerdu()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de savoir si la partie est perdue.</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#estRelevee">estRelevee</a></span> - Variable in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Attribut permettant de savoir si la case a été découverte</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#estRelevee()">estRelevee()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant de savoir si la case a été révélée</div>
</dd>
<dt><a href="src/ExecutableDemineur.html" title="class in src"><span class="typeNameLink">ExecutableDemineur</span></a> - Class in <a href="src/package-summary.html">src</a></dt>
<dd>
<div class="block">Classe qui permet de lancer le jeu du démineur.</div>
</dd>
<dt><span class="memberNameLink"><a href="src/ExecutableDemineur.html#%3Cinit%3E()">ExecutableDemineur()</a></span> - Constructor for class src.<a href="src/ExecutableDemineur.html" title="class in src">ExecutableDemineur</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Grille.html#genererBombes()">genererBombes()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode privée générant le nombre de bombres indiquées dans le constructeur sur le nombre
 de cases dans la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#getAffichage()">getAffichage()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode retourant l'affichage d'une case
 " " si la case n’est ni révélée ni marquée
 "@" si la case est révélée et contient une bombe
 "?"</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getCase(int,int)">getCase(int, int)</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de récupérer une case en fonction de ses coordonées dans la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#getCordx()">getCordx()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant d'avoir un accès à la coordonée x de la case dans la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#getCordy()">getCordy()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant d'avoir un accès à la coordonée y de la case dans la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getNbBombes()">getNbBombes()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de connaître le nombre de bombes sur la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getNbColonnes()">getNbColonnes()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de connaître le nombre de colonnes de la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getNbLignes()">getNbLignes()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de connaître le nombre de lignes de la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getNombresDeCasesMarquee()">getNombresDeCasesMarquee()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de trouvé combien de case ont été marquées</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#getNombresDeCasesRevelee()">getNombresDeCasesRevelee()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de trouvé combien de case ont été rélévées</div>
</dd>
<dt><a href="src/Grille.html" title="class in src"><span class="typeNameLink">Grille</span></a> - Class in <a href="src/package-summary.html">src</a></dt>
<dd>
<div class="block">Classe gérant l'intégralité de la grille du Démineur.</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#%3Cinit%3E(int,int,int)">Grille(int, int, int)</a></span> - Constructor for class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Constructeur permettant de créer une grille de plusieurs cases.</div>
</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Demineur.html#lancerPartie()">lancerPartie()</a></span> - Method in class src.<a href="src/Demineur.html" title="class in src">Demineur</a></dt>
<dd>
<div class="block">Méthode permettant de jouer une partie jusqu'à la condition de défaite</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#ligneADessiner()">ligneADessiner()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode qui permet d'afficher la chaîne de caractère dessinant les bordures horizontales 
 de la grille qui est utilisée dans le méthode affiche()</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/ExecutableDemineur.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class src.<a href="src/ExecutableDemineur.html" title="class in src">ExecutableDemineur</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="src/Case.html#marquer()">marquer()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant de faire de la case une case qui a été marquée</div>
</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Grille.html#nbBombes">nbBombes</a></span> - Variable in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Attribut permettant de connaître le nombre de bombe a disperser sur la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#nbColonnes">nbColonnes</a></span> - Variable in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Attribut permettant de connaître le nombre de colonnes de la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#nbLignes">nbLignes</a></span> - Variable in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Attribut permettant de connaître le nombre de lignes de la grille</div>
</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="src/Case.html#relever()">relever()</a></span> - Method in class src.<a href="src/Case.html" title="class in src">Case</a></dt>
<dd>
<div class="block">Méthode permettant de faire de la case une case qui a été révélée</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#revelerCase(int,int)">revelerCase(int, int)</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de révéler une case de la grille</div>
</dd>
<dt><span class="memberNameLink"><a href="src/Grille.html#revelerTout()">revelerTout()</a></span> - Method in class src.<a href="src/Grille.html" title="class in src">Grille</a></dt>
<dd>
<div class="block">Méthode permettant de montrer la grille avec les cases révélées</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="src/package-summary.html">src</a> - package src</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="src/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
